Ask Your Question
0

Hiera 5 and Puppet 4.10

asked 2017-09-21 11:57:50 -0500

yodermk gravatar image

Hi,

The docs seem to indicate that Hiera 5 is included with Puppet 4.9+. But the version that is included seems to be 3.3.2.

What is up with that, and is there a way to install Hiera 5? I understand it is meant to work in Puppet 4.10. Am I missing something?

Thanks!

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2017-12-19 07:52:13 -0500

Henrik Lindberg gravatar image

Hiera 5 is completely inside of the puppet code base. We are still bundling the deprecated hiera 3 to cater for those that have not switched over, and for those that have version 3 hiera backends that are not hiera 5 compatible.

edit flag offensive delete link more
1

answered 2017-12-17 10:28:16 -0500

jonhattan gravatar image

Not very explicit but explained here https://puppet.com/docs/puppet/4.10/h...

Hiera 5 is built-in in puppet, and accessible via puppet lookup cli.

hieracommand is hiera 3.x and remains there for some reason I don't understand.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-09-21 11:57:50 -0500

Seen: 656 times

Last updated: Dec 19 '17